#ifndef UART_H_
#define UART_H_

#include <avr/io.h>
#include <stdio.h>


#ifndef BAUD
#define BAUD 57600
#endif

#define FOSC F_CPU
#define MYUBRR ((FOSC+BAUD*8)/(BAUD*16)-1)
//#define MYUBRR (((((FOSC * 10) / (16L * BAUD)) + 5) / 10) - 1)


#define uart_maxstrlen 20

extern void usart1_init(void);      // initializes IO
extern  int uart_putchar(char c, FILE *stream);

#endif /* UART_H_ */

