#ifndef LEDS_H_
#define LEDS_H_

#define RED 0
#define YELLOW 1
#define GREEN 2

#define LEDPORT	PORTF
#define LEDDDR	DDRF


static inline void LED_INIT(void)
{
	LEDDDR |= (1 << GREEN | 1 << YELLOW| 1 << RED); //PORTF Sind die LEDS
}

static inline void SET_LED(int led_nr)
{
	if (led_nr < 3)	LEDPORT |= (1 << led_nr);
}

static inline void RESET_LED(int led_nr)
{
	if (led_nr < 3)	LEDPORT &= ~(1 << led_nr);
}

#endif /* LEDS_H_ */
